SystemOrganization addCategory: #Tarea2!

Object subclass: #Chess
	instanceVariableNames: 'torre dama peon caballo rey alfil casilleroBlanco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tarea2'!

!Chess methodsFor: 'piezas' stamp: 'OmarCuba 10/6/2012 18:28'!
alfil
	"Retorna el alfil"
  ^alfil! !

!Chess methodsFor: 'piezas' stamp: 'OmarCuba 10/6/2012 16:36'!
casilleroBlanco
	"Retorna el casilleroBlanco"
     ^casilleroBlanco! !

!Chess methodsFor: 'as yet unclassified' stamp: 'OmarCuba 10/6/2012 18:35'!
initialize
	"Metodo que inicia y crea las imagenes de peon caballo rey reyna alfil"

	|img1|
	casilleroBlanco:= Picture new.

img1:=#('__________________________________________________________'  '__________________________________________________________'   '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'   '__________________________________________________________'  '__________________________________________________________' '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'   '__________________________________________________________'  '__________________________________________________________'    '__________________________________________________________'  '__________________________________________________________' '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'   '__________________________________________________________'  '__________________________________________________________' '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'   '__________________________________________________________'  '__________________________________________________________'    '__________________________________________________________'  '__________________________________________________________'   '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'   '__________________________________________________________'  '__________________________________________________________' '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'   '__________________________________________________________'  '__________________________________________________________'    '__________________________________________________________'  '__________________________________________________________' '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'   '__________________________________________________________'  '__________________________________________________________' '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'  '__________________________________________________________'   '__________________________________________________________'  '__________________________________________________________'    '__________________________________________________________'  '__________________________________________________________').
casilleroBlanco img:img1; height: img1 size; width: img1 size.

alfil:=Picture new.

img1:=# ('                                                          '  
       '                                                          '  
       '                                                          '  
       '                                                          '  
       '                            ##                            '  
       '                          ######                          '  
       '                         ###..###                         '  
       '                         ##....##                         '  
       '                         ##....##                         '  
       '                         ###..###                         '  
       '                          ######                          '  
       '                           ####                           '  
       '                         ########                         '  
       '                        ###....###                        '  
       '                      ####......####                      '  
       '                    ####..........####                    '  
       '                   ###..............###                   '  
       '                  ###................###                  '  
       '                 ###..................###                 '  
       '                ###.........##.........###                '  
       '                ##..........##..........##                '  
       '               ###..........##..........###               '  
       '               ##...........##...........##               '  
       '               ##.......##########.......##               '  
       '               ##.......##########.......##               '  
       '               ##...........##...........##               '  
       '               ##...........##...........##               '  
       '               ##...........##...........##               '  
       '               ###..........##..........###               '  
       '                ##..........##..........##                '  
       '                ###....................###                '  
       '                 ##....................###                '  
       '                 ###..................###                 '  
       '                  ###................###                  '  
       '                   ####################                   '  
       '                   ####################                   '  
       '                   ##................##                   '  
       '                  ###................###                  '  
       '                  ##..................##                  '  
       '                  ######################                  '  
       '                 ########################                 '  
       '                 ###..................###                 '  
       '                 #####..............#####                 '  
       '                 ########################                 '  
       '                      ##############                      '  
       '                          ######                          '  
       '                        ####..####                        '  
       '        ##################......##################        '  
       '      ##################..........##################      '  
       '    ####..........................................####    '  
       '    ###.....................##.....................###    '  
       '     ##...................######...................##     '  
       '     ###.########.......####  ####.......########.###     '  
       '      ####################      ####################      '  
       '       ##        #######          #######        ##       '  
       '                                                          '  
       '                                                          '  
       '                                                          ').
alfil img:img1; height: img1 size; width: img1 size.! !

Object subclass: #GUIChess
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tarea2'!

!GUIChess methodsFor: 'as yet unclassified' stamp: 'OmarCuba 10/6/2012 18:36'!
initialize
	"Metodo que inicia y crea el Chess"
	
	|chess|
	
	chess:=Chess new.
	selt visualizarPieza: chess casilleroBlanco.
	selt visualizarPieza: chess alfil
	
! !

!GUIChess methodsFor: 'as yet unclassified' stamp: 'OmarCuba 10/6/2012 18:25'!
visualizarPieza:aPieza
	"Muestra la pieza solicitada"
	 |imagen contador size|
	imagen:= aPieza img.
	imagen do: [:each |  Transcript show: each;cr].! !

Object subclass: #Picture
	instanceVariableNames: 'height width img'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tarea2'!

!Picture methodsFor: 'get_set' stamp: 'OmarCuba 10/6/2012 15:37'!
height
	"Retorna height"
	
	^height! !

!Picture methodsFor: 'get_set' stamp: 'OmarCuba 10/6/2012 17:22'!
height:aNumber
	"Metodo set de height"
height:= aNumber! !

!Picture methodsFor: 'get_set' stamp: 'OmarCuba 10/6/2012 15:41'!
img
	"Metodo Get de img"
 ^img
	! !

!Picture methodsFor: 'get_set' stamp: 'OmarCuba 10/6/2012 17:39'!
img:aString
	"Metodo set de img"

	img:=aString! !

!Picture methodsFor: 'get_set' stamp: 'OmarCuba 10/6/2012 15:38'!
width
	"Retorna width"

 ^width! !

!Picture methodsFor: 'get_set' stamp: 'OmarCuba 10/6/2012 17:23'!
width:aNumber
	"Metodo set de width"

width:=aNumber! !
